netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddpehdr Struct Reference

`#include <ddp.h>`

## Data Fields
union { |
struct { |
unsigned dub_pad: 2 |
unsigned dub_hops: 4 |
unsigned dub_len: 10 |
unsigned dub_sum: 16 |
} du_bits
unsigned du_bytes |
} | deh_u
unsigned short | deh_dnet
unsigned short | deh_snet
unsigned char | deh_dnode
unsigned char | deh_snode
unsigned char | deh_dport
unsigned char | deh_sport

## Detailed Description

Extended DDP header. Includes sickness for dealing with arbitrary bitfields on a little-endian arch.

## Field Documentation

## ◆ deh_dnet

unsigned short ddpehdr::deh_dnet

## ◆ deh_dnode

unsigned char ddpehdr::deh_dnode

## ◆ deh_dport

unsigned char ddpehdr::deh_dport

## ◆ deh_snet

unsigned short ddpehdr::deh_snet

## ◆ deh_snode

unsigned char ddpehdr::deh_snode

## ◆ deh_sport

unsigned char ddpehdr::deh_sport

## ◆ [union]

union { ... } ddpehdr::deh_u

## ◆ [struct]

struct { ... } ddpehdr::du_bits

## ◆ du_bytes

unsigned ddpehdr::du_bytes

## ◆ dub_hops

unsigned ddpehdr::dub_hops

## ◆ dub_len

unsigned ddpehdr::dub_len

## ◆ dub_pad

unsigned ddpehdr::dub_pad

## ◆ dub_sum

unsigned ddpehdr::dub_sum

The documentation for this struct was generated from the following file:

- sys/netatalk/ddp.h